Bug 1573141 - [RFE] API or other mechanism to retrieve physical MAC , which will be pass to VNFM to spin instance on PCI-Passthrough based VIM.
Summary: [RFE] API or other mechanism to retrieve physical MAC , which will be pass t...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Assaf Muller
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks: 1476900 1496478
TreeView+ depends on / blocked
 
Reported: 2018-04-30 10:29 UTC by Gyanendra Kumar
Modified: 2018-07-06 14:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 13:59:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gyanendra Kumar 2018-04-30 10:29:12 UTC
Description of problem:Pass physical MAC to VM on PCI-Passthrough based VIM.



Version-Release number of selected component (if applicable):

UCSB200 M4 HW and Redhat OSP10 VIM

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 7 Stephen Finucane 2018-06-22 09:40:21 UTC
This still isn't clear to me. Are you hoping to attach the NIC as a PCI device using the 'pci_passthrough:alias' flavour extra spec or attach it as a PF in cooperation with neutron? Perhaps you could provide a sample of a command used to create such an instance?

Comment 9 Stephen Finucane 2018-07-06 13:59:38 UTC
Given that using a PF in cooperation with neutron allows provides this functionality, it seems this issue is resolved. I'm going to close this. If you identify gaps with the PF approach, please open new bugs to report these.


Note You need to log in before you can comment on or make changes to this bug.